Comments
Returns comments matching the given search criteria.
Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored.
The returned comments satisfy all constraints that are specified in this search criteria.
By default, the result contains up to 1000 comments.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The ID of the comment which the reply comments should be searched for
8253ed81-0889-49d7-98db-defef5b5cd3bThe ID of the user. By default, filters comments to include only those created by this user.
8253ed81-0889-49d7-98db-defef5b5cd3bThe ID of the resource which the searched comments refer to.
8253ed81-0889-49d7-98db-defef5b5cd3bWhether the searched comments should be root comments (not reply comments).
trueWhether the searched comments should be resolved.
falseSpecifies whether to search for root comments created by or mentioning the user userId, or root comments with replies created by or mentioning the user userId.
falseExample: falseThe order of sorting on the date the comment was created.
DESCExample: DESCPossible values: The paged response with found comments.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/comments HTTP/1.1
Authorization: Basic username:password
Accept: */*
The paged response with found comments.
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"content": "text",
"mentionedUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"resolved": true,
"contentLastModifiedOn": 1,
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"parent": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}
]
}Adds a new comment.
The properties of the comment to be added. The 'baseResource' field is deprecated in favour of 'commentableResourceId' and 'commentableResourceDiscriminator', but we cannot mark it as such due to the version of the OpenApi spec.
The actual HTML content of the comment to be added. Can contain user mentions using syntax [@User:$userId] where $userId is the ID of mentioned user.For example: [@User:00000000-0000-0000-0000-000000900002].
The identifier of the resource to which the new comment should be attached to. The combination of 'commentableResourceId' and 'commentableResourceDiscriminator' replaces the 'baseResource' field. These should not be used together.
The discriminator of the resource to which the new comment should be attached to. The combination of 'commentableResourceId' and 'commentableResourceDiscriminator' replaces the 'baseResource' field. These should not be used together. Possible values for a discriminator of a Commentable Resource are: "Asset", "Domain", "Community", "Rating"
The id of the parent comment. If not null - the comment is the reply for the parent comment. Comment threads are not supported, replying to a reply will cause an illegal argument exception.
The ResourceType to which the new comment should be attached to. Possible values for a ResourceType of a Commentable Resource are: "Asset", "Domain", "Community", "Rating". Please use 'commentableResourceDiscriminator' instead.
The id of the resource to which the new comment should be attached to. Please use 'commentableResourceId' instead
The Resource discriminator to which the new comment should be attached to. Possible values for a resource discriminator of a Commentable Resource are: "Asset", "Domain", "Community", "Rating". Please use 'commentableResourceDiscriminator' instead.
Comment successfully added.
Represents a comment.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The content of the comment.
Whether the comment is resolved or not.
The timestamp (in UTC time standard) of when the content was last modified.
POST /rest/2.0/comments HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 270
{
"content": "text",
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"commentableResourceId": "123e4567-e89b-12d3-a456-426614174000",
"commentableResourceDiscriminator": "text",
"parentId": "123e4567-e89b-12d3-a456-426614174000"
}Comment successfully added.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"content": "text",
"mentionedUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"resolved": true,
"contentLastModifiedOn": 1,
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"parent": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}Returns the comment with the specified ID.
The ID of the comment.
The response with found comment.
Represents a comment.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The content of the comment.
Whether the comment is resolved or not.
The timestamp (in UTC time standard) of when the content was last modified.
Comment not found.
GET /rest/2.0/comments/{commentId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"content": "text",
"mentionedUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"resolved": true,
"contentLastModifiedOn": 1,
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"parent": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}Removes the comment with the specified ID.
The ID of the comment to be removed.
Comment successfully removed.
No content
Comment not found.
DELETE /rest/2.0/comments/{commentId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Modifies the comment with the specified ID.
Only properties that are specified in this request and have not null values are updated. All other properties are ignored.
The ID of the comment to be changed.
The properties of the comment to be changed.
The new content of the comment to be changed.Can contain user mentions using syntax [@User:$userId] where $userId is the ID of mentioned user.For example: [@User:00000000-0000-0000-0000-000000900002].
Whether the comment is resolved.
Comment successfully updated.
Represents a comment.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The content of the comment.
Whether the comment is resolved or not.
The timestamp (in UTC time standard) of when the content was last modified.
Comment not found.
PATCH /rest/2.0/comments/{commentId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"content": "text",
"resolved": true
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"content": "text",
"mentionedUsers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"userName": "text",
"firstName": "text",
"lastName": "text",
"title": "text",
"department": "text",
"emailAddress": "text",
"gender": "MALE",
"language": "text",
"additionalEmailAddresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"emailAddress": "text"
}
],
"phoneNumbers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"type": "FAX",
"phoneNumber": "text"
}
],
"instantMessagingAccounts": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"account": "text",
"type": "AOL"
}
],
"websites": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"url": "text",
"type": "FACEBOOK"
}
],
"addresses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"city": "text",
"street": "text",
"number": "text",
"state": "text",
"country": "text",
"postalCode": "text",
"type": "HOME"
}
],
"activated": true,
"enabled": true,
"userSource": "INTERNAL",
"userSourceString": "text",
"guestUser": true
}
],
"resolved": true,
"contentLastModifiedOn": 1,
"baseResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
},
"parent": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community"
}
}Last updated
Was this helpful?